<?php

#Catch invalid access
if (!defined('MEDIAWIKI')) {
    echo <<<EOT
This file is no valid access point to MediaWiki. Install this Extension by placing
require_once( "\$IP/extensions/SemanticHierarchy/SemanticHierarchy.php" );
in LocalSettings.php
EOT;
    exit(1);
}

#Register extension
$wgExtensionCredits[defined( 'SEMANTIC_EXTENSION_TYPE' ) ? 'semantic' : 'specialpage'][] = array(
    'path' => __FILE__,
    'name' => 'Semantic Hierarchy',
    'author' => '[http://www.aifb.kit.edu/web/Tobias_Weller Tobias Weller]',
    'description' => 'Provides special pages for changing the hierarchy of Categories and Properties',
    'version'  => '1.0',
    'license-name' => "Apache License 2.0",   // Short name of the license, links LICENSE or COPYING file if existing - string, added in 1.23.0
    'url' => "https://www.mediawiki.org/wiki/Extension:Semantic_Hierarchy",
);

#Init special pages
$wgMessagesDirs['SemanticHierarchy'] = __DIR__ . '/i18n';
$wgExtensionMessagesFiles['SpecialSemanticHierarchyAlias'] = __DIR__ . '/includes/SpecialSemanticHierarchy.alias.php';
$wgAutoloadClasses['SpecialSemanticHierarchy'] = __DIR__ . '/includes/SpecialSemanticHierarchy.php';
$wgSpecialPages['SemanticHierarchy'] = 'SpecialSemanticHierarchy';
