<?php
class SpecialSemanticHierarchy extends SpecialPage {
    function __construct() {
        parent::__construct( 'SemanticHierarchy' );
    }

    function getGroupName() {
        return 'smw_group';
    }

    function execute( $par ) {
        global $wgOut;
        global $wgScriptPath;
        $request = $this->getRequest();
        $this->setHeaders();
        $html = "
<!DOCTYPE html>
<HTML>
<HEAD>
  <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
  <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/js/jquery-1.12.1.min.js'></script>
  <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/js/jQuery_ui.js'></script>
  <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/js/jquery.ztree.core.js'></script>
  <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/js/jquery.ztree.excheck.js'></script>
  <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/js/jquery.ztree.exedit.js'></script>
  <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/js/app.js'></script>
  <link rel='stylesheet' href='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/css/demo.css' type='text/css'>
  <link rel='stylesheet' href='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/css/Loadmain.css' type='text/css'>
  <link rel='stylesheet' href='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/css/Loadnormalize.css' type='text/css'>
  <link rel='stylesheet' href='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/css/zTreeStyle.css' type='text/css'>
  <link rel='stylesheet' href='" . $wgScriptPath . "/extensions/SemanticHierarchy/includes/css/app.css' type='text/css'>
  <link rel='stylesheet' href='http://code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css'>

 </HEAD>

<BODY>
<div class='right'>
    <ul class='info'>
      <b>Explanation</b>
        <ul class='list'>
        <li>Shift Categories and Properties to change the Semantic Hierarchy. Multiple Categories/Properties (within the same parent node) can be selected and shifted</li>
        <li>Shifting Properties to Categories and vice versa is not possible</li>
        <li>Adding a node leads to a new Wiki page</li>
        <li>Delete function is due to security reasons currently disabled</li>
        <li>Jump to Page creates a new tab with the corresponding wiki page of the selected item</li>
        <li><i>Note: Loading the Categories can take up to 30 seconds (depending on the amount of Categories and Properties)</i></li>
        </ul>
    </ul>
  </div></br>
    <div id='loader-wrapper'>
      <div id='loader'></div>
    </div>
<table border='0' style='width:100%'>
<tr><td><b>Categories</b></td><td><b>Properties</b></td></tr>
  <tr>
    <td><div class='content_wrap'>
  <div class='zTreeDemoBackground left'>
    <ul id='treeDemoCategory' class='ztree'></ul>
  </div>
</div></td>
<td><div class='content_wrap'>
  <div class='zTreeDemoBackground left'>
    <ul id='treeDemoProperty' class='ztree'></ul>
  </div>
</div>
</td>
  </tr>
</table>


<ul id='menuCategory'  class='small-menu'>

<!-- <li class='edit'><a href='#'> editing </a></li> -->

<li class='add'><a href='#'> add </a></li>

<li class='jump'><a href='#'> jump to page </a></li>

<li class='delete'><a href='#'> delete style </a></li>

<!-- <li class='small-menu-separator'></li> -->

<!-- <li class='delete'><a href='#'><span class='icon icon-edit'></span>Zoom Out</a></li> -->

</ul>
<ul id='menuProperty'  class='small-menu'>

<!-- <li class='edit'><a href='#'> editing </a></li> -->

<li class='add'><a href='#'> add </a></li>

<li class='jump'><a href='#'> jump to page </a></li>

<li class='delete'><a href='#'> delete style </a></li>

<!-- <li class='small-menu-separator'></li> -->

<!-- <li class='delete'><a href='#'><span class='icon icon-edit'></span>Zoom Out</a></li> -->

</ul>
<div id='dialog-formCategory' title='Create new Category'>
  <p class='validateTips'>All form fields are required.</p>

  <form>
    <fieldset>
      <label for='name'>Name</label>
      <input type='text' name='name' id='nameCategory' value='' class='text ui-widget-content ui-corner-all'>

      <!-- Allow form submission with keyboard without duplicating the dialog button -->
      <input type='submit' tabindex='-1' style='position:absolute; top:-1000px'>
    </fieldset>
  </form>
  </div>
</div>

<div id='dialog-formProperty' title='Create new Property'>
  <p class='validateTips'>All form fields are required.</p>

  <form>
    <fieldset>
      <label for='name'>Name</label>
      <input type='text' name='name' id='nameProperty' value='' class='text ui-widget-content ui-corner-all'>

      <!-- Allow form submission with keyboard without duplicating the dialog button -->
      <input type='submit' tabindex='-1' style='position:absolute; top:-1000px'>
    </fieldset>
  </form>
  </div>
</div>
</BODY>
</HTML>
";




        $wgOut->addHTML($html);
    }

}
